#ifndef _CONNECT_LOG_H_
#   define _CONNECT_LOG_H_

#include <string>

using std::string;

class ConnectLog
{
   public:
      ConnectLog(
         const string &dir,
         const string &ip,
         int   threadID,
         int   connectNumber
      );

      ~ConnectLog();

      bool beginSession(
         bool isConnect, const string &host, int port, string &errMsg
      );

      bool requestBytes(const char *buffer, int n, string &errMsg);

      bool responseBytes(const char *buffer, int n, string &errMsg);

   private:
      bool endSession(string &errMsg);

   private:
      string mDir;
      string mIP;
      int    mThreadID;
      int    mConnectNumber;

      string mFullPath;
      string mConnectLogName;
      bool   mWroteConnectLog;

      int    mTotalRequestBytes;
      int    mTotalResponseBytes;
      int    mTotalStartSeconds;
      int    mTotalStartMillis;

      int    mSessionNumber;
      bool   mIsConnect;
      string mHost;
      int    mPort;

      int    mRequestBytes;
      int    mResponseBytes;
      int    mStartSeconds;
      int    mStartMillis;
      bool   mSessionActive;

      bool   mRequestSeekNN;
      bool   mResponseSeekNN;
      string mRequestExt;
      string mResponseExt;
};

#endif
