#ifndef _LOGGER_H_
#   define _LOGGER_H_

/*****************************************************************************
 * Headers / Using Declarations
 *****************************************************************************/

#include <string>

using std::string;

/*****************************************************************************
 * Class Declaration: Logger
 *****************************************************************************/

class Logger
{
   public:

      Logger(const string &dir, const string &type, int number);
      bool write(char *buffer, int n, string &errMsg);

   private:

      string mFileName;
};

/*****************************************************************************
 * Class Declaration: RequestLogger
 *****************************************************************************/

class RequestLogger : public Logger
{
   public:
      RequestLogger(const string &dir, int number);
};

/*****************************************************************************
 * Class Declaration: ResponseLogger
 *****************************************************************************/

class ResponseLogger : public Logger
{
   public:
      ResponseLogger(const string &dir, int number);
};

#endif
