/*****************************************************************************
 * Headers / Using Declarations
 *****************************************************************************/

#include <sstream>

#include "threaddata.h"
#include "output.h"

using std::ostringstream;

/*****************************************************************************
 * Class Definition: ThreadData
 *****************************************************************************/

ThreadData::ThreadData(
   int          clientHandle,
   const string &clientIPString,
   int          number,
   HANDLE       mutex,
   const string &directory,
   bool         doRLog,
   double       timeout,
   Output       *output
) :
   mHandleCleanUp(clientHandle),
   mClientIPString(clientIPString),
   mNumber(number),
   mMutex(mutex),
   mDirectory(directory),
   mRLog(doRLog),
   mTimeout(timeout),
   mOutput(output)
{
}

int     ThreadData::clientHandle() { return(mHandleCleanUp.handle()); }
int     ThreadData::number()       { return(mNumber);                 }
HANDLE  ThreadData::mutex()        { return(mMutex);                  }
string  ThreadData::directory()    { return(mDirectory);              }
bool    ThreadData::rlog()         { return(mRLog);                   }
double  ThreadData::timeout()      { return(mTimeout);                }
Output* ThreadData::output()       { return(mOutput);                 }
string  ThreadData::ip()           { return(mClientIPString);         }
