#ifndef _THREAD_DATA_H
#   define _THREAD_DATA_H

/*****************************************************************************
 * Headers / Using Declarations / Forward References
 *****************************************************************************/

#include <windows.h>
#include <string>

#include "handlecleanup.h"

using std::string;

class Output;

/*****************************************************************************
 * Class Declaration: ThreadData
 *****************************************************************************/

class ThreadData
{
   public:

      ThreadData(
         int          clientHandle,
         const string &clientIPString,
         int          number,
         HANDLE       mutex,
         const string &directory,
         bool         doRLog,
         double       timeout,
         Output       *output
      );

      int    clientHandle();
      int    number();
      HANDLE mutex();
      string directory();
      bool   rlog();
      double timeout();
      Output *output();
      string ip();

      int handleError(const string &errMsg);
      string getPrefix(int line);
      static string getPrefix(string prefix, int line);

   private:

      HandleCleanUp mHandleCleanUp;
      string        mClientIPString;
      int           mNumber;
      HANDLE        mMutex;
      string        mDirectory;
      bool          mRLog;
      double        mTimeout;
      Output        *mOutput;
};

#endif
